<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

namespace D3\MailConfigChecker\Application\Model;

class DmarcResult
{
    public const SET       = 'set';
    public const MISSING   = 'missing';
    public const ERROR     = 'error';

    protected $status;
    protected $record;

    public function __construct(string $status, ?string $record = null)
    {
        $this->status = $status;
        $this->record = $record;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function getRecord()
    {
        return $this->record;
    }
}
